Forum


Notice to all users

We are migrating towards a new forum system located at community.teamspeak.com, as such this forum will become read-only on January 29, 2020

Search:

Tag: version 10.6.3

Search: Search took 0.01 seconds.

  1. [Not Supported] Client 3.0.17 (and newer) on OSX 10.5 /10.6 / 10.7

    Started by furicle, August 10th, 2015 03:41 PM
    2 Pages
    1 2
    • Replies: 21
    • Views: 21,493
    Last Post: April 12th, 2016 07:30 AM
    by Cry MeARiver  Go to last post

    Forum:
    macOS

Results 1 to 1 of 1